(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8096,        246]
NotebookOptionsPosition[      7204,        212]
NotebookOutlinePosition[      7595,        229]
CellTagsIndexPosition[      7552,        226]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  SubscriptBox["T", "seq"], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "strictly", " ", "sequential", " ", "portion", " ", "of", " ", "the", " ", 
    "algorithm", " ", 
    RowBox[{"(", 
     RowBox[{"in", " ", "secs"}], ")"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.655454242825091*^9, 3.655454256802373*^9}, {
  3.655457843535372*^9, 3.655457843991911*^9}}],

Cell[BoxData[
 RowBox[{
  SubscriptBox["T", "par"], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "parallel", " ", "portion", " ", "of", " ", "the", " ", "algorithm", " ", 
    RowBox[{"(", 
     RowBox[{"in", " ", "secs"}], ")"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.655454277674329*^9, 3.6554542835092783`*^9}, {
  3.6554578572227097`*^9, 3.655457857990979*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["T", "1"], "[", "n", "]"}], "\[Equal]", " ", 
  RowBox[{
   SubscriptBox["T", "seq"], "+", 
   SubscriptBox["T", "par"]}]}]], "Input",
 CellChangeTimes->{{3.655454290289567*^9, 3.6554543189813347`*^9}}],

Cell[BoxData[
 RowBox[{"\[Beta]", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "strictly", " ", "sequential", " ", "portion", " ", "of", " ", "the", " ", 
    "algorithm"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.6554543432798986`*^9, 3.655454386424911*^9}}],

Cell[BoxData[
 RowBox[{"\[Beta]", "\[Equal]", 
  RowBox[{
   SubscriptBox["T", "seq"], "/", 
   RowBox[{"(", 
    RowBox[{
     SubscriptBox["T", "seq"], "+", 
     SubscriptBox["T", "par"]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.655454397057933*^9, 3.655454416263564*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["T", "p"], "[", "n", "]"}], "\[Equal]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Beta]", 
    StyleBox[" ",
     FontWeight->"Plain"], 
    RowBox[{
     SubscriptBox["T", "1"], "[", "n", "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Beta]"}], ")"}], 
    RowBox[{
     RowBox[{
      SubscriptBox["T", "1"], "[", "n", "]"}], "/", "p"}]}]}]}]], "Input",
 CellChangeTimes->{{3.655454428974958*^9, 3.6554545106034822`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["T", "1"], "[", "n", "]"}], "/", 
   RowBox[{
    SubscriptBox["T", "p"], "[", "n", "]"}]}], "\[Equal]", 
  "\[IndentingNewLine]", 
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{"\[Beta]", " ", "+", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Beta]"}], ")"}], "/", "p"}]}], ")"}]}]}]], "Input",\

 CellChangeTimes->{{3.655454545843335*^9, 3.655454585904131*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["T", "seq"], "=", ".43"}], ";"}]], "Input",
 CellChangeTimes->{{3.6554547715203543`*^9, 3.65545478456949*^9}, 
   3.655459179931678*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Beta]", "=", 
   RowBox[{
    SubscriptBox["T", "seq"], "/", 
    RowBox[{"(", 
     RowBox[{"0.43", "+", "0.959"}], ")"}]}]}], "\n"}]], "Input",
 CellChangeTimes->{{3.655454798646715*^9, 3.655454837053265*^9}, {
  3.655454926284027*^9, 3.655454927267767*^9}}],

Cell[BoxData["0.3095752339812815`"], "Output",
 CellChangeTimes->{{3.6554548375504293`*^9, 3.655454841388221*^9}, 
   3.6554549277357073`*^9, 3.655459184983945*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"\[Beta]", " ", "+", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Beta]"}], ")"}], "/", 
       RowBox[{"2", "^", "i"}]}]}], ")"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6554546213477383`*^9, 3.655454651037468*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJwV0Hs0lHkYB/CZphnzysh1lgkzvLGlWNZS6ZjfU1bIpasdpWJIbkWhpW3S
YnOLEieOIhuqrdbYdemgslOjRMa2ZFqWWoRo8EqjaZrYd//4nu/5nPP88Zyv
ZWjczvAlFArFj8z/XZYSynA8eJYvKV7HoVAIdGWvwlXAi0LRidJHNAaB+vxy
4nm8E+hlTGcNU4dASZ57dOm8bOR/y9+NbUKgLa2w7wO3BEl1pV+BA4Gq075J
J7g3kTpT87krhEBDQjF7ituE9BexlOcPCXRyR0zIW247EoWd4AbnzCLs4+X2
w/b9aF1MRWi99xw69vB0riJ+BO0IPjn1Qv0e2VcV/lUvnkDDlRsmM8XzaNQ/
0uzVegIN9LnyXM6rUDEnw/xqyBzannrewXCXGm2Ib6yhdc6jbd5u4u82apD0
xeXtcV+qkccQ68EWowXkmLvAN/H+jLzkuQanpIvIc8z1lYOAAl/H1Iu0Wykw
bnfH472CCnW5Fv+WnKPCSU22070faMB6fGL+vs8S0NJ/E7Xblg51ghu1viwa
0GV0z2X3GVB98QWbf4cGn7qqDxccY4KH8rSWQ8hSGBWITS0stOH41prIrI9L
YVNW7JEn1cuA35zfdklEh4sLjZh7MAsE0BBhtECHIDOp78CcLkzMXP/9VAwD
dCRrFFYBehCmce/lyxkQ7lyh3LNWH0Rbsi4MOWlBUkryTp5SH9zvTRz7lKoF
ZyYLe7q6DKBP2WIfJtMCX9vlv+hcMoSNoURi7zIm5FW7SHyFRhD0U2W352Ym
dOyq1CRuMIb51UW6p79ngkQWl7uWxoZI3v3uo1eZUBudCp2DbJguTugI6mCC
hQ9aH1v/BSgC+2uTppjgvrgvvVxkAqI/13g4a2NwUP7Hu8YAU7hS0qaXbo0B
PzWtQcjjwI6IjOmOjRgUxM3e1RnnwE2b8aJP/hgM/3htrLxlBVSlzkQ7CDF4
G9508GGmGfxNtZPTjmJAHDHQkgnNgTfMjmakYCD2fqo5ZGcBn1lK3ahsDMYi
HVxoSguoirzKsi/EgHO7vzBTxgUvw503o0oxSA+Jr5D58GB3j2L8TSUGHzSm
eT5NPLCmq+6qbmGw6m5xScdKSxBRu1apfsPAOezRNv1sSyjZmp0ob8BAUmps
0qm0hANnrUOPNJP3EuMc/yArMH22fMi6BQM/usK8u8UKegK5NQEPyH//eS1t
t8XBcb9rlaAVg7jSPMPs8zhwYvNetz3GoJO6cmbrBRwuUIx0uknbRjR36BTi
UPTtcbsB0q8dx1Pzi3Co+FW+nyAd2AZEcRkOz/REx03aMNj8bq7z+m0cuOVp
6RGk2V57M1rbcODFlDhRn2CQUE0IM9pxaKhPKtMm/cwg083rKQ510xVUI9Jn
B+veP+3C4eX0VKMNaUoCK6ynF4e+9oYRH9KTZRI0PIJDQT7N7iJpT5pgRdUo
DuUFXm5XSFdFTs2Hj+NQekbP6wbpYCeOeGISh/BkF78m0s+fJJjNzuLAaHJh
D5J2tNdW1c6ReyTPqEdJnyv8uSdRicO6KI/+adLeB2Q5KhUONgO9WZR2DK5L
ww41q3EYkrMDMdJLV6s3iTTkfkqqlQFp4bl8c/4CDhGxl8Y4pFvmbD4uLuJw
NHnkGk76P9HoJMM=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.9},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
  PlotRange->{{0, 10}, {1.000000097666529, 3.2232125244182086`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.655454651515408*^9, 3.655454854589363*^9, 
  3.655454933662716*^9, 3.6554591869296103`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"1", "/", "\[Beta]"}]], "Input",
 CellChangeTimes->{{3.655454885786497*^9, 3.65545489654854*^9}}],

Cell[BoxData["3.2302325581395346`"], "Output",
 CellChangeTimes->{3.655454897545597*^9, 3.6554549399196653`*^9}]
}, Open  ]]
},
WindowSize->{1196, 855},
WindowMargins->{{9, Automatic}, {Automatic, 0}},
Magnification:>3. Inherited,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"ReverseColor.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 396, 10, 139, "Input"],
Cell[957, 32, 375, 9, 139, "Input"],
Cell[1335, 43, 253, 7, 89, "Input"],
Cell[1591, 52, 264, 6, 135, "Input"],
Cell[1858, 60, 279, 8, 89, "Input"],
Cell[2140, 70, 505, 16, 139, "Input"],
Cell[2648, 88, 454, 15, 139, "Input"],
Cell[3105, 105, 187, 5, 89, "Input"],
Cell[CellGroupData[{
Cell[3317, 114, 297, 8, 172, "Input"],
Cell[3617, 124, 164, 2, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3818, 131, 440, 12, 168, "Input"],
Cell[4261, 145, 2655, 54, 619, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6953, 204, 120, 2, 118, "Input"],
Cell[7076, 208, 112, 1, 118, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

